[PC-BSD Commits] r21652 - pcbsd-projects/PCDM/rc.d
svn at pcbsd.org
svn at pcbsd.org
Tue Feb 26 09:44:25 PST 2013
Author: kenmoore
Date: 2013-02-26 17:44:25 +0000 (Tue, 26 Feb 2013)
New Revision: 21652
Modified:
pcbsd-projects/PCDM/rc.d/pcdm
Log:
Clean up the new PCDM rc.d script a bit, have it point to the startPCDM binary for running the login daemon rather than start a session itself
Modified: pcbsd-projects/PCDM/rc.d/pcdm
===================================================================
--- pcbsd-projects/PCDM/rc.d/pcdm 2013-02-26 17:00:12 UTC (rev 21651)
+++ pcbsd-projects/PCDM/rc.d/pcdm 2013-02-26 17:44:25 UTC (rev 21652)
@@ -11,7 +11,7 @@
. /etc/rc.subr
#. /usr/local/etc/gnome.subr
-pcdm_enable=${pcdm_enable-"NO"}
+#pcdm_enable=${pcdm_enable-"NO"}
#pcdm_preserve_base_pam_conf=${pcdm_preserve_base_pam_conf-NO}
#pcdm_lang=${pcdm_lang-${LANG}}
@@ -50,17 +50,16 @@
name="pcdm"
rcvar=pcdm_enable
-command="/usr/local/bin/PCDM-session"
+command="/usr/local/bin/startPCDM"
pidfile="/var/run/${name}.pid"
procname="/usr/local/bin/PCDM-session"
start_cmd="${name}_start"
load_rc_config ${name}
-: ${pcdm_enable:=no}
+: ${pcdm_enable:=no} #default to not start pcdm automatically
pcdm_start()
{
- echo "Checking whether to start ${name}."
if ! checkyesno pcdm_enable ; then
return 0
fi
@@ -75,24 +74,24 @@
#rm -f /etc/pam.d/gdm
#fi
- ( iter=0
- while ! ps -axoargs | grep "^/usr/libexec/getty " | grep -qv grep >/dev/null 2>&1; do
+ #( iter=0
+ #while ! ps -axoargs | grep "^/usr/libexec/getty " | grep -qv grep >/dev/null 2>&1; do
#This looks at all the tty terminals available
- if [ ${iter} -eq 60 ]; then
- break
- fi
- sleep 1
- iter=$(expr ${iter} + 1)
- done
- iter=0
- while ! /usr/local/bin/lshal >/dev/null 2>&1 ; do
+ #if [ ${iter} -eq 60 ]; then
+ #break
+ #fi
+ #sleep 1
+ #iter=$(expr ${iter} + 1)
+ #done
+ #iter=0
+ #while ! /usr/local/bin/lshal >/dev/null 2>&1 ; do
#This looks at the HAL device info for the computer
- if [ ${iter} -eq 60 ]; then
- break
- fi
- sleep 1
- iter=$(expr ${iter} + 1)
- done
+ #if [ ${iter} -eq 60 ]; then
+ #break
+ #fi
+ #sleep 1
+ #iter=$(expr ${iter} + 1)
+ #done
# If the user wants to switch to failsafe X
if [ ${xvesa} = "YES" ]; then
@@ -109,8 +108,9 @@
setup_firstboot
fi
- LANG=${pcdm_lang} ${command} ${pcdm_flags}
- ) &
+ #Start the PCDM login daemon
+ ${command} ${pcdm_flags}
+ #) &
}
More information about the Commits
mailing list